%global minor_version 0.8
%global xfceversion 4.18

Name:           xfce4-xkb-plugin
Version:        0.8.3
Release:        1
Summary:        XKB layout switch plugin for the Xfce panel
License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  garcon-devel
BuildRequires:  librsvg2-devel >= 2.18
BuildRequires:  libwnck3-devel
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxklavier-devel >= 5.0
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
Requires:       xfce4-panel >= %{xfceversion}
Requires:       xfce4-settings

%description
The xkb plugin displays the current keyboard layout, and refreshes
when layout changes. The layout can be switched by simply clicking
on the plugin.  For now the keyboard layouts cannot be configured
from the plugin itself, they should be set in the XF86Config file 
or some other way (e.g. setxkbmap).

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.panel.xkb.*
%dir %{_datadir}/xfce4/xkb/
%dir %{_datadir}/xfce4/xkb/flags
%{_datadir}/xfce4/xkb/flags/*.svg

%changelog
* Wed Jan 04 2023 misaka00251 <liuxin@iscas.ac.cn> - 0.8.3-1
- Update to 0.8.3

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 0.8.2-1
- Update to 0.8.2

* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.8.1-1
- Init package
